## neutron 15.0.2

=== debian/changelog ===
neutron (2:15.0.2-0ubuntu1.2) eoan; urgency=medium

  * d/p/set-openflow-protocols-by-default-on-bridges.patch Backport fix to resolve
    issues with neutron adding OF protocols to bridges post-create (LP: #1852221).

 -- Edward Hope-Morley <edward.hope-morley@canonical.com>  Sun, 31 May 2020 16:50:01 +0100

neutron (2:15.0.2-0ubuntu1.1) eoan; urgency=medium

  * d/p/lp1877797.patch: Cherry pick fix to resolve issues with
    remote security groups when used with the OVS firewall driver
    (LP: #1877797).

 -- James Page <james.page@ubuntu.com>  Mon, 11 May 2020 08:24:20 +0100

neutron (2:15.0.2-0ubuntu1) eoan; urgency=medium

  * d/watch: Update tarball URL to opendev.org.
  * New stable point release for OpenStack Train (LP: #1871125).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 06 Apr 2020 10:56:10 -0400

=== debian/control ===
Source: neutron
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools (>= 85ubuntu3~),
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 4.0.0),
 python3-setuptools,
Build-Depends-Indep:
 crudini,
 python3-alembic (>= 0.8.10),
 python3-astroid (>= 1.6.5),
 python3-bandit (>= 1.1.0),
 python3-bashate (>= 0.5.1),
 python3-coverage (>= 4.0),
 python3-ddt (>= 1.0.1),
 python3-debtcollector (>= 1.2.0),
 python3-decorator (>= 3.4.0),
 python3-designateclient (>= 2.7.0),
 python3-eventlet (>= 0.18.2),
 python3-fixtures (>= 3.0.0),
 python3-hacking (>= 1.1.0),
 python3-httplib2 (>= 0.9.1),
 python3-jinja2 (>= 2.10),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-mock (>= 2.0.0),
 python3-netaddr (>= 0.7.18),
 python3-netifaces (>= 0.10.4),
 python3-neutron-lib (>= 1.19.1),
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:9.1.0),
 python3-openstackdocstheme (>= 1.30.0),
 python3-openvswitch (>= 2.8.0),
 python3-os-ken (>= 0.3.0),
 python3-os-testr (>= 1.0.0),
 python3-os-vif (>= 1.15.1),
 python3-os-xenapi (>= 0.3.1),
 python3-oslo.cache (>= 1.26.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.db (>= 4.37.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.privsep (>= 1.32.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.rootwrap (>= 5.8.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.upgradecheck (>= 0.1.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslo.versionedobjects (>= 1.35.1),
 python3-oslotest (>= 1:3.2.0),
 python3-osprofiler (>= 2.3.0),
 python3-ovsdbapp (>= 0.9.1),
 python3-paste (>= 2.0.2),
 python3-pastedeploy (>= 1.5.0),
 python3-pecan (>= 1.3.2),
 python3-pep8,
 python3-psutil (>= 3.2.2),
 python3-pycodestyle (>= 2.0.0),
 python3-pymysql (>= 0.7.6),
 python3-pyroute2 (>= 0.5.3),
 python3-reno (>= 2.5.0),
 python3-requests (>= 2.14.2),
 python3-routes (>= 2.3.1),
 python3-six (>= 1.10.0),
 python3-sphinx (>= 1.6.2),
 python3-sqlalchemy (>= 1.2.0),
 python3-stestr (>= 1.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-subunit (>= 1.0.0),
 python3-tempest (>= 1:16.1.0),
 python3-tenacity (>= 3.2.1),
 python3-testrepository (>= 0.0.18),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-webob (>= 1:1.8.2),
 python3-webtest (>= 2.0.27),
 rename,
Standards-Version: 4.1.4
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/neutron
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/neutron
Homepage: https://docs.openstack.org/neutron

Package: neutron-common
Architecture: all
Depends:
 adduser,
 ipset,
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 neutron-dhcp-agent (<< 2:13.0.0-0ubuntu3~),
 neutron-l3-agent (<< 2:13.0.0-0ubuntu3~),
 neutron-linuxbridge-agent (<< 2:13.0.0-0ubuntu3~),
 neutron-macvtap-agent (<< 2:13.0.0-0ubuntu3~),
 neutron-metadata-agent (<< 2:13.0.0-0ubuntu3~),
 neutron-metering-agent (<< 2:13.0.0-0ubuntu3~),
 neutron-openvswitch-agent (<< 2:13.0.0-0ubuntu3~),
 neutron-plugin-ml2 (<< 2:13.0.0-0ubuntu3~),
 neutron-server (<< 2:2:13.0.0-0ubuntu3~),
 neutron-sriov-agent (<< 2:13.0.0-0ubuntu3~),
Replaces:
 neutron-dhcp-agent (<< 2:13.0.0-0ubuntu3~),
 neutron-l3-agent (<< 2:13.0.0-0ubuntu3~),
 neutron-linuxbridge-agent (<< 2:13.0.0-0ubuntu3~),
 neutron-macvtap-agent (<< 2:13.0.0-0ubuntu3~),
 neutron-metadata-agent (<< 2:13.0.0-0ubuntu3~),
 neutron-metering-agent (<< 2:13.0.0-0ubuntu3~),
 neutron-openvswitch-agent (<< 2:13.0.0-0ubuntu3~),
 neutron-plugin-ml2 (<< 2:13.0.0-0ubuntu3~),
 neutron-server (<< 2:2:13.0.0-0ubuntu3~),
 neutron-sriov-agent (<< 2:13.0.0-0ubuntu3~),
Description: Neutron is a virtual network service for Openstack - common
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 python-pbr (>= 2.0.0),
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the common files.

Package: neutron-dhcp-agent
Architecture: all
Depends:
 dnsmasq-base (>= 2.76),
 dnsmasq-utils (>= 2.76),
 neutron-metadata-agent (= ${source:Version}),
 python3-neutron (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Neutron is a virtual network service for Openstack - DHCP agent
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the DHCP agent.

Package: neutron-l3-agent
Architecture: all
Depends:
 conntrack,
 iputils-arping,
 keepalived,
 neutron-metadata-agent (= ${source:Version}),
 python3-neutron (= ${source:Version}),
 python3-neutron-fwaas (>= 1:13.0.0~),
 radvd,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Neutron is a virtual network service for Openstack - l3 agent
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the layer 3 routing agent.

Package: neutron-linuxbridge-agent
Architecture: all
Depends:
 bridge-utils,
 conntrack,
 ebtables,
 python3-neutron (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Breaks:
 neutron-plugin-linuxbirdge-agent ( << 2:8.0.0~b2-0ubuntu5~ ),
 neutron-plugin-ml2 ( << 2:8.0.0~b2-0ubuntu5~ ),
Replaces:
 neutron-plugin-linuxbridge-agent ( << 2:8.0.0~b2-0ubuntu5~ ),
 neutron-plugin-ml2 ( << 2:8.0.0~b2-0ubuntu5~ ),
Description: Neutron is a virtual network service for Openstack - linuxbridge agent
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the linuxbridge plugin agent.

Package: neutron-macvtap-agent
Architecture: all
Depends:
 python3-neutron (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Neutron is a virtual network service for Openstack - Macvtap L2 Agent
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the Macvtap L2 Agent.

Package: neutron-metadata-agent
Architecture: all
Depends:
 haproxy,
 python3-neutron (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Neutron is a virtual network service for Openstack - metadata agent
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the metadata proxy agent.

Package: neutron-metering-agent
Architecture: all
Depends:
 python3-neutron (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Breaks:
 neutron-plugin-metering-agent ( << 1:2014.1~b3-0ubuntu2~ ),
Replaces:
 neutron-plugin-metering-agent ( << 1:2014.1~b3-0ubuntu2~ ),
Description: Neutron is a virtual network service for Openstack - metering agent
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the metering agent.

Package: neutron-openvswitch-agent
Architecture: all
Depends:
 conntrack,
 openvswitch-switch,
 python3-neutron (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Breaks:
 neutron-plugin-ml2 ( << 2:8.0.0~b2-0ubuntu5~ ),
 neutron-plugin-openvswitch-agent ( << 2:8.0.0~b2-0ubuntu1~ ),
Replaces:
 neutron-plugin-ml2 ( << 2:8.0.0~b2-0ubuntu5~ ),
 neutron-plugin-openvswitch-agent ( << 2:8.0.0~b2-0ubuntu1~ ),
Description: Neutron is a virtual network service for Openstack - Open vSwitch plugin agent
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the Open vSwitch plugin agent.

Package: neutron-plugin-ml2
Architecture: all
Provides:
 neutron-plugin,
Depends:
 python3-neutron (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Neutron is a virtual network service for Openstack - ML2 plugin
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the Modular Layer 2 plugin.

Package: neutron-server
Architecture: all
Depends:
 adduser,
 python3-neutron (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},

## neutron 15.3.4

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=4.0.0 # Apache-2.0

Paste>=2.0.2 # MIT
PasteDeploy>=1.5.0 # MIT
Routes>=2.3.1 # MIT
debtcollector>=1.19.0 # Apache-2.0
decorator>=3.4.0 # BSD
eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
pecan>=1.3.2 # BSD
httplib2>=0.9.1 # MIT
requests>=2.14.2 # Apache-2.0
Jinja2>=2.10 # BSD License (3 clause)
keystonemiddleware>=4.17.0 # Apache-2.0
netaddr>=0.7.18 # BSD
netifaces>=0.10.4 # MIT
neutron-lib>=1.29.1 # Apache-2.0
python-neutronclient>=6.7.0 # Apache-2.0
tenacity>=3.2.1 # Apache-2.0
SQLAlchemy>=1.2.0 # MIT
WebOb>=1.8.2 # MIT
keystoneauth1>=3.14.0 # Apache-2.0
alembic>=0.8.10 # MIT
six>=1.10.0 # MIT
stevedore>=1.20.0 # Apache-2.0
oslo.cache>=1.26.0 # Apache-2.0
oslo.concurrency>=3.26.0 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.context>=2.19.2 # Apache-2.0
oslo.db>=4.37.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.messaging>=5.29.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.policy>=1.30.0 # Apache-2.0
oslo.privsep>=1.32.0 # Apache-2.0
oslo.reports>=1.18.0 # Apache-2.0
oslo.rootwrap>=5.8.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
oslo.upgradecheck>=0.1.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
oslo.versionedobjects>=1.35.1 # Apache-2.0
osprofiler>=2.3.0 # Apache-2.0
os-ken >= 0.3.0 # Apache-2.0
ovs>=2.8.0 # Apache-2.0
ovsdbapp>=0.12.1 # Apache-2.0
psutil>=3.2.2 # BSD
pyroute2>=0.5.3;sys_platform!='win32' # Apache-2.0 (+ dual licensed GPL2)
weakrefmethod>=1.0.2;python_version=='2.7' # PSF

python-novaclient>=9.1.0 # Apache-2.0
openstacksdk>=0.31.2 # Apache-2.0
python-designateclient>=2.7.0 # Apache-2.0
os-xenapi>=0.3.1 # Apache-2.0
os-vif>=1.15.1 # Apache-2.0

=== debian/changelog ===
neutron (2:15.3.4-0ubuntu1~cloud1) bionic-train; urgency=medium

  * d/p/revert-l3-ha-retry-when-setting-ha-router-gw-status.patch: Revert
    upstream patch that introduced regression that prevented full restore
    of HA routers on restart of L3 agent (LP: #1927868).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 28 Jul 2021 17:45:53 -0400

neutron (2:15.3.4-0ubuntu1~cloud0) bionic-train; urgency=medium

  * New stable point release for OpenStack Train (LP: #1927974).

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 21 May 2021 12:56:22 +0000

neutron (2:15.3.3-0ubuntu1~cloud0) bionic-train; urgency=medium

  * New stable point release for OpenStack Train (LP: #1923038).
  * d/p/revert-dvr-remove-control-plane-arp-updates.patch, d/p/0001-Fix-
    deletion-of-rfp-interfaces-when-router-is-re-ena.patch: Removed
    after fix landed upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Tue, 13 Apr 2021 11:48:22 +0000

neutron (2:15.3.2-0ubuntu1~cloud2) bionic-train; urgency=medium

  * Backport fix for dvr-snat missig rfp interfaces (LP: #1894843)
    - d/p/0001-Fix-deletion-of-rfp-interfaces-when-router-is-re-ena.patch

 -- Hemanth Nakkina <hemanth.nakkina@canonical.com>  Mon, 22 Mar 2021 09:08:25 +0530

neutron (2:15.3.2-0ubuntu1~cloud1) bionic-train; urgency=medium

  * d/p/revert-dvr-remove-control-plane-arp-updates.patch: Cherry-picked
    from https://review.opendev.org/c/openstack/neutron/+/777903 to prevent
    permanent arp entries that never get deleted (LP: #1916761).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 08 Mar 2021 13:30:50 -0500

neutron (2:15.3.2-0ubuntu1~cloud0) bionic-train; urgency=medium

  * d/watch: Add trailing slash to fix download.
  * New stable point release for OpenStack Train (LP: #1915787).
  * d/p/Ensure-fip-ip-rules-deleted-when-fip-removed.patch,
    d/p/fix-dvr-source-mac-flows.patch: Removed after change landed upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 17 Feb 2021 08:24:03 +0000

neutron (2:15.3.0-0ubuntu1~cloud3) bionic-train; urgency=medium

  * d/p/fix-dvr-source-mac-flows.patch: Fix DVR source mac flows when non-gateway
    port on router is deleted (LP: #1892405).

 -- Hemanth Nakkina <hemanth.nakkina@canonical.com>  Wed, 13 Jan 2021 14:49:56 +0530

neutron (2:15.3.0-0ubuntu1~cloud2) bionic-train; urgency=medium

  * d/p/revert-keepalived-use-no-track-default.patch: Include unit tests
    in revert.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 15 Oct 2020 06:35:36 +0000

neutron (2:15.3.0-0ubuntu1~cloud1) bionic-train; urgency=medium

  * No change rebuild. 

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 14 Oct 2020 14:50:12 +0000

neutron (2:15.3.0-0ubuntu1~cloud0) bionic-train; urgency=medium

  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * New stable point release for OpenStack Train (LP: #1899051).
  * d/p/skip-iptest.patch: Refreshed.
  * d/p/flake8-legacy.patch: Refreshed.
  * d/p/revert-keepalived-use-no-track-default.patch: Revert new default that
    breaks on Ubuntu releases before Focal (LP: #1896506).

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Mon, 12 Oct 2020 12:08:51 +0000

neutron (2:15.2.0-0ubuntu1~cloud0) bionic-train; urgency=medium

  * New stable point release for OpenStack Train (LP: #1896477).
  * d/control: Align (Build-)Depends with upstream.
  * d/p/set-openflow-protocols-by-default-on-bridges.patch: Removed. Fix landed
    upstream.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Mon, 21 Sep 2020 13:34:46 +0000

neutron (2:15.1.0-0ubuntu1~cloud1) bionic-train; urgency=medium

  * d/p/Ensure-fip-ip-rules-deleted-when-fip-removed.patch
    Backport fix for dvr fip ip rule cleanup (LP: #1891673)

 -- Edward Hope-Morley <edward.hope-morley@canonical.com>  Tue, 08 Sep 2020 23:12:15 +0100

neutron (2:15.1.0-0ubuntu1~cloud0) bionic-train; urgency=medium

  * New stable point release for OpenStack Train (LP: #1883892).
  * d/control: Align (Build-)Depends with upstream.
  * d/patches/lp1877797.patch: Removed as the change has landed upstream.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Wed, 17 Jun 2020 13:04:55 +0000

neutron (2:15.0.2-0ubuntu1.2~cloud0) bionic-train; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 22 Jun 2020 15:31:49 +0000

=== debian/control ===
--- 
+++ 
@@ -28,13 +28,14 @@
  python3-fixtures (>= 3.0.0),
  python3-hacking (>= 1.1.0),
  python3-httplib2 (>= 0.9.1),
+ python3-isort (>= 4.3.4),
  python3-jinja2 (>= 2.10),
  python3-keystoneauth1 (>= 3.4.0),
  python3-keystonemiddleware (>= 4.17.0),
- python3-mock (>= 2.0.0),
+ python3-mock (>= 3.0.0),
  python3-netaddr (>= 0.7.18),
  python3-netifaces (>= 0.10.4),
- python3-neutron-lib (>= 1.19.1),
+ python3-neutron-lib (>= 1.29.1),
  python3-neutronclient (>= 1:6.7.0),
  python3-novaclient (>= 2:9.1.0),
  python3-openstackdocstheme (>= 1.30.0),
@@ -91,8 +92,8 @@
  python3-webtest (>= 2.0.27),
  rename,
 Standards-Version: 4.1.4
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/neutron
-Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/neutron
+Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/neutron
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/neutron
 Homepage: https://docs.openstack.org/neutron
 
 Package: neutron-common
@@ -328,5 +329,3 @@
  adduser,
  python3-neutron (= ${source:Version}),
  ${misc:Depends},
- ${python3:Depends},
- ${shlibs:Depends},

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/neutron/ neutron-(15\.\d.*)\.tar\.gz

## neutron 16.0.0~b2~git2020020712.d5b33ffc77

=== requirements.txt ===
--- 
+++ 
@@ -16,9 +16,9 @@
 keystonemiddleware>=4.17.0 # Apache-2.0
 netaddr>=0.7.18 # BSD
 netifaces>=0.10.4 # MIT
-neutron-lib>=1.29.1 # Apache-2.0
+neutron-lib>=2.0.0 # Apache-2.0
 python-neutronclient>=6.7.0 # Apache-2.0
-tenacity>=3.2.1 # Apache-2.0
+tenacity>=4.4.0 # Apache-2.0
 SQLAlchemy>=1.2.0 # MIT
 WebOb>=1.8.2 # MIT
 keystoneauth1>=3.14.0 # Apache-2.0
@@ -46,13 +46,15 @@
 osprofiler>=2.3.0 # Apache-2.0
 os-ken >= 0.3.0 # Apache-2.0
 ovs>=2.8.0 # Apache-2.0
-ovsdbapp>=0.12.1 # Apache-2.0
+ovsdbapp>=1.0.0 # Apache-2.0
 psutil>=3.2.2 # BSD
-pyroute2>=0.5.3;sys_platform!='win32' # Apache-2.0 (+ dual licensed GPL2)
-weakrefmethod>=1.0.2;python_version=='2.7' # PSF
+pyroute2>=0.5.7;sys_platform!='win32' # Apache-2.0 (+ dual licensed GPL2)
+pyOpenSSL>=17.1.0 # Apache-2.0
 
 python-novaclient>=9.1.0 # Apache-2.0
 openstacksdk>=0.31.2 # Apache-2.0
 python-designateclient>=2.7.0 # Apache-2.0
 os-xenapi>=0.3.1 # Apache-2.0
 os-vif>=1.15.1 # Apache-2.0
+futurist>=1.2.0 # Apache-2.0
+tooz>=1.58.0 # Apache-2.0

=== debian/changelog ===
neutron (2:16.0.0~b2~git2020020712.d5b33ffc77-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Fri, 07 Feb 2020 13:42:07 +0100

neutron (2:16.0.0~b1~git2019121613.3e8abb9a8f-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/rules, d/compat: Switch to debhelper compat 12 and pybuild.
  * d/rules: Update PBR_VERSION to handle ~git versioning.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 16 Dec 2019 13:47:00 -0500

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,9 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Chuck Short <zulcss@ubuntu.com>
 Build-Depends:
- debhelper (>= 10~),
+ debhelper-compat (= 12),
  dh-python,
  openstack-pkg-tools (>= 85ubuntu3~),
- python-all,
- python-pbr (>= 2.0.0),
- python-setuptools,
  python3-all,
  python3-pbr (>= 4.0.0),
  python3-setuptools,
@@ -21,24 +18,25 @@
  python3-bashate (>= 0.5.1),
  python3-coverage (>= 4.0),
  python3-ddt (>= 1.0.1),
- python3-debtcollector (>= 1.2.0),
+ python3-debtcollector (>= 1.19.0),
  python3-decorator (>= 3.4.0),
  python3-designateclient (>= 2.7.0),
  python3-eventlet (>= 0.18.2),
  python3-fixtures (>= 3.0.0),
+ python3-futurist (>= 1.2.0),
  python3-hacking (>= 1.1.0),
  python3-httplib2 (>= 0.9.1),
- python3-isort (>= 4.3.4),
  python3-jinja2 (>= 2.10),
- python3-keystoneauth1 (>= 3.4.0),
+ python3-keystoneauth1 (>= 3.14.0),
  python3-keystonemiddleware (>= 4.17.0),
  python3-mock (>= 3.0.0),
  python3-netaddr (>= 0.7.18),
  python3-netifaces (>= 0.10.4),
- python3-neutron-lib (>= 1.29.1),
+ python3-neutron-lib (>= 2.0.0),
  python3-neutronclient (>= 1:6.7.0),
  python3-novaclient (>= 2:9.1.0),
  python3-openstackdocstheme (>= 1.30.0),
+ python3-openstacksdk (>= 0.31.2),
  python3-openvswitch (>= 2.8.0),
  python3-os-ken (>= 0.3.0),
  python3-os-testr (>= 1.0.0),
@@ -64,7 +62,7 @@
  python3-oslo.versionedobjects (>= 1.35.1),
  python3-oslotest (>= 1:3.2.0),
  python3-osprofiler (>= 2.3.0),
- python3-ovsdbapp (>= 0.9.1),
+ python3-ovsdbapp (>= 1.0.0),
  python3-paste (>= 2.0.2),
  python3-pastedeploy (>= 1.5.0),
  python3-pecan (>= 1.3.2),
@@ -72,7 +70,7 @@
  python3-psutil (>= 3.2.2),
  python3-pycodestyle (>= 2.0.0),
  python3-pymysql (>= 0.7.6),
- python3-pyroute2 (>= 0.5.3),
+ python3-pyroute2 (>= 0.5.7),
  python3-reno (>= 2.5.0),
  python3-requests (>= 2.14.2),
  python3-routes (>= 2.3.1),
@@ -83,17 +81,18 @@
  python3-stevedore (>= 1:1.20.0),
  python3-subunit (>= 1.0.0),
  python3-tempest (>= 1:16.1.0),
- python3-tenacity (>= 3.2.1),
+ python3-tenacity (>= 4.4.0),
  python3-testrepository (>= 0.0.18),
  python3-testresources (>= 2.0.0),
  python3-testscenarios (>= 0.4),
  python3-testtools (>= 2.2.0),
+ python3-tooz (>= 1.58.0),
  python3-webob (>= 1:1.8.2),
  python3-webtest (>= 2.0.27),
  rename,
 Standards-Version: 4.1.4
-Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/neutron
-Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/neutron
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/neutron
+Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/neutron
 Homepage: https://docs.openstack.org/neutron
 
 Package: neutron-common

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=neutron

SHELL := /bin/sh -e

DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/[+].*//' -e 's/~git.*//g' -e 's/~/./g')
export PBR_VERSION=$(VERSION)

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@  --with python3 --buildsystem=pybuild


override_dh_install:
	rm -rf $(CURDIR)/debian/python3-neutron/usr/etc/neutron
	PYTHONPATH=$(CURDIR) $(CURDIR)/tools/generate_config_file_samples.sh
	find $(CURDIR)/etc -type f | xargs rename 's/\.sample$$//'a
	crudini --merge $(CURDIR)/etc/neutron.conf < $(CURDIR)/debian/neutron.conf.defaults
	dh_install
	dh_missing --fail-missing -X/usr/etc

override_dh_installsystemd:
	dh_installsystemd -pneutron-openvswitch-agent --name=neutron-ovs-cleanup \
		neutron-ovs-cleanup.service
	dh_installsystemd -pneutron-linuxbridge-agent --name=neutron-linuxbridge-cleanup \
		neutron-linuxbridge-cleanup.service
	dh_installsystemd

override_dh_installinit:
	dh_installinit -pneutron-openvswitch-agent --no-start \
        --name=neutron-ovs-cleanup
	dh_installinit -pneutron-linuxbridge-agent --no-start \
        --name=neutron-linuxbridge-cleanup
	dh_installinit --error-handler=true

override_dh_auto_clean:
	dh_auto_clean
	rm -f debian/*.upstart debian/*.init debian/*.service .testrepository

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	pkgos-dh_auto_test --no-py2
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## neutron 16.0.0~b3~git2020041516.5f42488a9a

=== requirements.txt ===
--- 
+++ 
@@ -16,7 +16,7 @@
 keystonemiddleware>=4.17.0 # Apache-2.0
 netaddr>=0.7.18 # BSD
 netifaces>=0.10.4 # MIT
-neutron-lib>=2.0.0 # Apache-2.0
+neutron-lib>=2.2.0 # Apache-2.0
 python-neutronclient>=6.7.0 # Apache-2.0
 tenacity>=4.4.0 # Apache-2.0
 SQLAlchemy>=1.2.0 # MIT

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXSOURCE 	= source
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) $(SPHINXSOURCE)

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

.DEFAULT_GOAL 	= html

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*
	if [ -f .autogenerated ] ; then \
        cat .autogenerated | xargs rm ; \
        rm .autogenerated ; \
    fi

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/nova.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/nova.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
sphinx!=1.6.6,!=1.6.7,!=2.1.0,>=1.6.2;python_version>='3.4' # BSD
sphinx_feature_classification>=1.0.0 # Apache-2.0
openstackdocstheme>=1.30.0 # Apache-2.0
oslotest>=3.2.0 # Apache-2.0
reno>=2.5.0 # Apache-2.0

=== neutron/tests/functional/requirements.txt ===
# Additional requirements for functional tests

# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

psycopg2
psutil>=1.1.1,<3.2.2
PyMySQL>=0.6.2  # MIT License

=== debian/changelog ===
neutron (2:16.0.0~b3~git2020041516.5f42488a9a-0ubuntu2) focal; urgency=medium

  * d/neutron-common.postinst: Ensure subdirectories and files under
    /var/lib/neutron/dhcp are readable by the nobody user which is used
    by dnsmasq (LP: #1873438).

 -- James Page <james.page@ubuntu.com>  Fri, 17 Apr 2020 12:27:46 +0100

neutron (2:16.0.0~b3~git2020041516.5f42488a9a-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 15 Apr 2020 16:26:18 -0400

neutron (2:16.0.0~b3~git2020041013.e74c8f8c88-0ubuntu1) focal; urgency=medium

  * d/watch: Update tarball URL to opendev.org.
  * New upstream snapshot for OpenStack Ussuri.
  * d/neutron-common.postinst: Set ownership and permissions for all /var/lib
    files and directories.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 10 Apr 2020 13:28:11 -0400

neutron (2:16.0.0~b3~git2020032420.a0e1b5804e-0ubuntu4) focal; urgency=medium

   * d/neutron-common.postinst: Set ownership and permissions for all /var/lib
     files and directories and ensure dnsmasq has access to /var/lib/neutron/dhcp
     (LP: #1866187).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 02 Apr 2020 15:02:51 -0400

neutron (2:16.0.0~b3~git2020032420.a0e1b5804e-0ubuntu3) focal; urgency=medium

  * d/neutron-common.postinst: Update permissions on /etc/neutron/policy.d to
    allow users other than neutron or root to query, resolving unit test
    failures in out-of-tree networking drivers.

 -- James Page <james.page@ubuntu.com>  Fri, 27 Mar 2020 14:18:35 +0000

neutron (2:16.0.0~b3~git2020032420.a0e1b5804e-0ubuntu2) focal; urgency=medium

  * d/neutron-common.postinst: Refactor for standardised permissions for /etc,
    /var/log and /var/lib (LP: #1859422).

 -- James Page <james.page@ubuntu.com>  Wed, 25 Mar 2020 15:12:36 +0000

neutron (2:16.0.0~b3~git2020032420.a0e1b5804e-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/p/*: Refresh.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 25 Mar 2020 09:19:23 +0000

neutron (2:16.0.0~b2~git2020020712.d5b33ffc77-0ubuntu3) focal; urgency=medium

  * d/tests/neutron-agents: Skip neutron-ovn-metadata-agent restart test on armhf.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 23 Mar 2020 10:50:59 -0400

neutron (2:16.0.0~b2~git2020020712.d5b33ffc77-0ubuntu2) focal; urgency=medium

  * d/control, d/neutron-common.install, d/neutron-ovn-metadata-agent.init.in,
    d/rules, d/neutron_ovn_metadata_agent.ini.defaults, d/ovn.ini.defaults,
    d/t/neutron-agents: Add support for neutron OVN source code move to neutron.
    The init.in file was imported from networking-ovn source package and slightly
    modified.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 24 Feb 2020 10:41:46 -0500

=== debian/control ===
--- 
+++ 
@@ -32,7 +32,7 @@
  python3-mock (>= 3.0.0),
  python3-netaddr (>= 0.7.18),
  python3-netifaces (>= 0.10.4),
- python3-neutron-lib (>= 2.0.0),
+ python3-neutron-lib (>= 2.2.0),
  python3-neutronclient (>= 1:6.7.0),
  python3-novaclient (>= 2:9.1.0),
  python3-openstackdocstheme (>= 1.30.0),
@@ -301,30 +301,29 @@
  .
  This package provides the Open vSwitch plugin agent.
 
+Package: neutron-ovn-metadata-agent
+Architecture: all
+Depends:
+ haproxy,
+ openvswitch-switch,
+ python3-neutron (= ${source:Version}),
+ ${misc:Depends},
+ ${python3:Depends},
+ ${shlibs:Depends},
+Description: Neutron is a virtual network service for Openstack - OVN metadata agent
+ Neutron is a virtual network service for Openstack, and a part of
+ Netstack. Just like OpenStack Nova provides an API to dynamically
+ request and configure virtual servers, Neutron provides an API to
+ dynamically request and configure virtual networks. These networks
+ connect "interfaces" from other OpenStack services (e.g., virtual NICs
+ from Nova VMs). The Neutron API supports extensions to provide
+ advanced network capabilities (e.g., QoS, ACLs, network monitoring,
+ etc.)
+ .
+ This package provides the OVN metadata proxy agent.
+
 Package: neutron-plugin-ml2
 Architecture: all
 Provides:
  neutron-plugin,
 Depends:
- python3-neutron (= ${source:Version}),
- ${misc:Depends},
- ${python3:Depends},
- ${shlibs:Depends},
-Description: Neutron is a virtual network service for Openstack - ML2 plugin
- Neutron is a virtual network service for Openstack, and a part of
- Netstack. Just like OpenStack Nova provides an API to dynamically
- request and configure virtual servers, Neutron provides an API to
- dynamically request and configure virtual networks. These networks
- connect "interfaces" from other OpenStack services (e.g., virtual NICs
- from Nova VMs). The Neutron API supports extensions to provide
- advanced network capabilities (e.g., QoS, ACLs, network monitoring,
- etc.)
- .
- This package provides the Modular Layer 2 plugin.
-
-Package: neutron-server
-Architecture: all
-Depends:
- adduser,
- python3-neutron (= ${source:Version}),
- ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -22,6 +22,8 @@
 	PYTHONPATH=$(CURDIR) $(CURDIR)/tools/generate_config_file_samples.sh
 	find $(CURDIR)/etc -type f | xargs rename 's/\.sample$$//'a
 	crudini --merge $(CURDIR)/etc/neutron.conf < $(CURDIR)/debian/neutron.conf.defaults
+	crudini --merge $(CURDIR)/etc/ovn.ini < $(CURDIR)/debian/ovn.ini.defaults
+	crudini --merge $(CURDIR)/etc/neutron_ovn_metadata_agent.ini < $(CURDIR)/debian/neutron_ovn_metadata_agent.ini.defaults
 	dh_install
 	dh_missing --fail-missing -X/usr/etc

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/neutron neutron-(15\.\d.*)\.tar\.gz

## neutron 16.3.1

=== debian/changelog ===
neutron (2:16.3.1-0ubuntu1) focal; urgency=medium

  * New stable point release for OpenStack Ussuri (LP: #1923036).
  * d/p/0001-Fix-deletion-of-rfp-interfaces-when-router-is-re-ena.patch,
    d/p/improve-get-devices-with-ip-performance.patch,
    d/p/revert-dvr-remove-control-plane-arp-updates.patch: Removed
    after patch landed upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Mon, 12 Apr 2021 12:13:59 +0000

neutron (2:16.3.0-0ubuntu3) focal; urgency=medium

  * d/p/revert-dvr-remove-control-plane-arp-updates.patch: Cherry-picked
    from https://review.opendev.org/c/openstack/neutron/+/777903 to prevent
    permanent arp entries that never get deleted (LP: #1916761).
  * d/p/improve-get-devices-with-ip-performance.patch: Performance of
    get_devices_with_ip is improved to limit the amount of information
    to be sent and reduce the number of syscalls. (LP: #1896734).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 08 Mar 2021 13:26:42 -0500

neutron (2:16.3.0-0ubuntu2) focal; urgency=medium

  * Backport fix for dvr-snat missig rfp interfaces (LP: #1894843)
    - d/p/0001-Fix-deletion-of-rfp-interfaces-when-router-is-re-ena.patch

 -- Edward Hope-Morley <edward.hope-morley@canonical.com>  Wed, 24 Feb 2021 10:07:51 +0000

neutron (2:16.3.0-0ubuntu1) focal; urgency=medium

  * d/watch: Add trailing slash to Neutron URL.
  * New stable point release for OpenStack Ussuri (LP: #1915786).
  * d/p/fix-removal-of-dvr-src-mac-flows.patch,
    d/p/ovn-fix-inconsistent-igmp-configuration.patch: Removed after patch landed
    upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Tue, 16 Feb 2021 16:09:39 +0000

neutron (2:16.2.0-0ubuntu3) focal; urgency=medium

  * d/p/ovn-fix-inconsistent-igmp-configuration.patch: Cherry-picked from
    upstream stable/ussuri to ensure flooding of unregistered multicast
    packets to all ports is disabled (LP: #1904399).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 08 Feb 2021 12:31:39 -0500

neutron (2:16.2.0-0ubuntu2) focal; urgency=medium

  * d/p/fix-removal-of-dvr-src-mac-flows.patch: Cherry-picked from upstream to
    fix removal of dvr-src mac flows when non-gateway port on router is deleted
    (LP: #1892405).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 07 Jan 2021 15:10:11 -0500

neutron (2:16.2.0-0ubuntu1) focal; urgency=medium

  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * New stable point release for OpenStack Stein (LP: #1899051).
  * d/p/skip-iptest.patch: Refreshed.
  * d/p/Ensure-fip-ip-rules-deleted-when-fip-removed.patch: Removed because
    change landed upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Mon, 12 Oct 2020 09:07:49 +0000

neutron (2:16.1.0-0ubuntu2) focal; urgency=medium

  * d/p/Ensure-fip-ip-rules-deleted-when-fip-removed.patch
    Backport fix for dvr fip ip rule cleanup (LP: #1891673)

 -- Edward Hope-Morley <edward.hope-morley@canonical.com>  Wed, 09 Sep 2020 09:25:20 +0100

neutron (2:16.1.0-0ubuntu1) focal; urgency=medium

  * New stable point release for OpenStack Ussuri (LP: #1892139).
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Thu, 27 Aug 2020 05:31:05 +0000

neutron (2:16.0.0-0ubuntu0.20.04.2) focal; urgency=medium

  * Ensure OVS and linuxbridge cleanup systemd units are not restarted
    on upgrade or started on install (LP: #1885264):
    - d/rules: Pass --no-stop-on-upgrade to dh_install{systemd,init} for
      ovs and linuxbridge cleanup systemd units.
    - d/rules: Pass --no-start to dh_install{systemd,init} for
      ovs and linuxbridge cleanup systemd units.
    - d/rules: Also pass --no-restart-after-upgrade to deal with bug
      in older debhelper versions in Ubuntu Cloud Archive.
    - d/rules: Pass appropriate -X flags to each call to
      dh_install{systemd,init} to ensure that duplicate snippets are
      not generated in maintainer scripts.

 -- James Page <james.page@ubuntu.com>  Thu, 02 Jul 2020 08:27:02 +0100

neutron (2:16.0.0-0ubuntu0.20.04.1) focal; urgency=medium

  * d/watch: Scope to 16.x series.
  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/p/monkey-patch-original-current-thread.patch: Dropped. Fixed
    in upstream release.
  * d/gbp.conf: Create stable/ussuri branch.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 May 2020 17:06:16 -0400

neutron (2:16.0.0~b3~git2020041516.5f42488a9a-0ubuntu3) groovy; urgency=medium

  * d/p/monkey-patch-original-current-thread.patch: Cherry-picked from
    https://review.opendev.org/724753. This fixes neutron service failures
    with Python 3.8 (LP: #1863021).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Apr 2020 16:42:56 -0400

## neutron 16.3.2

=== debian/changelog ===
neutron (2:16.3.2-0ubuntu3) focal; urgency=medium

  * d/p/revert-rely-on-worker-count-for-hashring-caching.patch: Revert
    patch from 16.3.2 due to SR-IOV regression (LP: #1931244).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 08 Jun 2021 12:57:47 -0400

neutron (2:16.3.2-0ubuntu2) focal; urgency=medium

  * d/p/updates-for-python3.8.patch: Cherry-picked from
    https://review.opendev.org/c/openstack/neutron/+/793417
    to ensure py38 keepalived-state-change cleanup (LP: #1929832).
  * d/p/d/p/0001-L3-Check-agent-gateway-port-robustly.patch: Dropped.
    Fixed in 16.3.2 stable point release.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 27 May 2021 15:54:50 -0400

neutron (2:16.3.2-0ubuntu1) focal; urgency=medium

  * New stable point release for OpenStack Ussuri (LP: #1927976).

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 20 May 2021 12:45:50 +0000

neutron (2:16.3.1-0ubuntu1.1) focal; urgency=medium

  [ Hemanth Nakkina ]
  * Fix to check L3 agent gateway port robustly (LP: #1883089)
    - d/p/0001-L3-Check-agent-gateway-port-robustly.patch.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 06 May 2021 10:39:19 +0000

=== debian/control ===
--- 
+++ 
@@ -26,6 +26,7 @@
  python3-futurist (>= 1.2.0),
  python3-hacking (>= 1.1.0),
  python3-httplib2 (>= 0.9.1),
+ python3-isort (>= 4.3.4),
  python3-jinja2 (>= 2.10),
  python3-keystoneauth1 (>= 3.14.0),
  python3-keystonemiddleware (>= 4.17.0),
@@ -91,8 +92,8 @@
  python3-webtest (>= 2.0.27),
  rename,
 Standards-Version: 4.1.4
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/neutron
-Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/neutron
+Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/neutron
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/neutron
 Homepage: https://docs.openstack.org/neutron
 
 Package: neutron-common
@@ -325,5 +326,3 @@
 Package: neutron-plugin-ml2
 Architecture: all
 Provides:
- neutron-plugin,
-Depends:
